Package ietf.params.xml.ns.icalendar_2

# Class GeoPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.GeoPropType

public class GeoPropType extends BasePropertyType

Java class for GeoPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GeoPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}latitude"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}longitude"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected float`
  `latitude`
  `protected float`
  `longitude`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeoPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getLatitude()`
  Gets the value of the latitude property.
  `float`
  `getLongitude()`
  Gets the value of the longitude property.
  `void`
  `setLatitude(float value)`
  Sets the value of the latitude property.
  `void`
  `setLongitude(float value)`
  Sets the value of the longitude property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### latitude

    protected float latitude

  - ### longitude

    protected float longitude

- ## Constructor Details

  - ### GeoPropType

    public GeoPropType()

- ## Method Details

  - ### getLatitude

    public float getLatitude()
    Gets the value of the latitude property.

  - ### setLatitude

    public void setLatitude(float value)
    Sets the value of the latitude property.

  - ### getLongitude

    public float getLongitude()
    Gets the value of the longitude property.

  - ### setLongitude

    public void setLongitude(float value)
    Sets the value of the longitude property.